import { Link } from "react-router-dom";
import LinkWithHighlight from 'compendium/components/LinkWithHighlight';
import titles from "compendium/titles";

export default function OrganizationLinks({ sidebar = false }) {

    const LinkComponent = sidebar ? LinkWithHighlight : Link

    const classNames = sidebar ? "" : "link-text-underline"
    return (<>
        {sidebar && <h5>Organisation</h5>}
        <h6 className="section-title">Budget, Income and Billing</h6>
        <LinkComponent to="/budget" className={classNames}>
            <span>{titles.budget}</span>
        </LinkComponent>

        <LinkComponent to="/funding" className={classNames}>
            <span>{titles.funding}</span>
        </LinkComponent>

        <LinkComponent to="/charging" className={classNames}>
            <span>{titles.charging}</span>
        </LinkComponent>

        <hr className="fake-divider" />
        <h6 className="section-title">Staff and Projects</h6>
        <LinkComponent to="/employee-count" className={classNames}>
            <span>{titles["employee-count"]}</span>
        </LinkComponent>
        <LinkComponent to="/employment" className={classNames}>
            <span>{titles.employment}</span>
        </LinkComponent>
        <LinkComponent to="/roles" className={classNames}>
            <span>{titles.roles}</span>
        </LinkComponent>
        <LinkComponent to="/parentorganisation" className={classNames}>
            <span>{titles.parentorganisation}</span>
        </LinkComponent>
        <LinkComponent to="/suborganisations" className={classNames}>
            <span>{titles.suborganisations}</span>
        </LinkComponent>
        <LinkComponent to="/ec-projects" className={classNames}>
            <span>{titles["ec-projects"]}</span>
        </LinkComponent>
    </>
    );
}