import { Link } from "react-router-dom";
import LinkWithHighlight from 'compendium/components/LinkWithHighlight';
import titles from "compendium/titles";

export default function PolicyLinks({ sidebar = false }) {

    const LinkComponent = sidebar ? LinkWithHighlight : Link
    const classNames = sidebar ? "" : "link-text-underline"

    return (<>
        {sidebar && <h5>Standards And Policies</h5>}
        <h6 className="section-title">Policy & Portfolio</h6>
        <LinkComponent to="/corporate-strategy" className={classNames}>
            <span>{titles["corporate-strategy"]}</span>
        </LinkComponent>
        <LinkComponent to="/policy" className={classNames}>
            <span>{titles.policy}</span>
        </LinkComponent>
        <LinkComponent to="/central-procurement" className={classNames}>
            <span>{titles["central-procurement"]}</span>
        </LinkComponent>
        <LinkComponent to="/service-management-framework" className={classNames}>
            <span>{titles["service-management-framework"]}</span>
        </LinkComponent>
        <LinkComponent to="/service-level-targets" className={classNames}>
            <span>{titles["service-level-targets"]}</span>
        </LinkComponent>
        <LinkComponent to="/services-offered" className={classNames}>
            <span>{titles["services-offered"]}</span>
        </LinkComponent>

        <h6 className="section-title">Standards</h6>
        <LinkComponent to="/audits" className={classNames}>
            <span>{titles.audits}</span>
        </LinkComponent>
        <LinkComponent to="/business-continuity" className={classNames}>
            <span>{titles["business-continuity"]}</span>
        </LinkComponent>
        <LinkComponent to="/crisis-management" className={classNames}>
            <span>{titles["crisis-management"]}</span>
        </LinkComponent>
        <LinkComponent to="/crisis-exercise" className={classNames}>
            <span>{titles["crisis-exercise"]}</span>
        </LinkComponent>
        <LinkComponent to="/security-control" className={classNames}>
            <span>{titles["security-control"]}</span>
        </LinkComponent>
    </>);
}