"""added Service and NRENService tables

Revision ID: 1fbc4582c0ab
Revises: 87e1e35051a0
Create Date: 2023-09-19 22:23:36.448210

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '1fbc4582c0ab'
down_revision = '87e1e35051a0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'service',
        sa.Column('name_key', sa.String(length=128), nullable=False),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('category', postgresql.ENUM(
            'network_services', 'isp_support', 'security', 'identity',
            'collaboration', 'multimedia', 'storage_and_hosting',
            'professional_services', name='servicecategory',
            create_type=False), nullable=False
        ),
        sa.Column('description', sa.String(), nullable=False),
        sa.PrimaryKeyConstraint('name_key', name=op.f('pk_service'))
    )
    op.create_table(
        'nren_service',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('service_key', sa.String(length=128), nullable=False),
        sa.Column('product_name', sa.String(), nullable=False),
        sa.Column('additional_information', sa.String(), nullable=False),
        sa.Column('official_description', sa.String(), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_nren_service_nren_id_nren')),
        sa.ForeignKeyConstraint(
            ['service_key'], ['service.name_key'], name=op.f('fk_nren_service_service_key_service')
        ),
        sa.PrimaryKeyConstraint('nren_id', 'year', 'service_key', name=op.f('pk_nren_service'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('nren_service')
    op.drop_table('service')
    # ### end Alembic commands ###
