"""Add EC project model

Revision ID: 2edefbaa9db4
Revises: faf15719e2c6
Create Date: 2023-04-25 13:58:48.504179

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2edefbaa9db4'
down_revision = 'faf15719e2c6'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'ec_project',
        sa.Column('nren_id', sa.Integer(), nullable=False),
        sa.Column('year', sa.Integer(), nullable=False),
        sa.Column('project', sa.String(length=256), nullable=False),
        sa.ForeignKeyConstraint(['nren_id'], ['nren.id'], name=op.f('fk_ec_project_nren_id_nren')),
        sa.PrimaryKeyConstraint('nren_id', 'year', 'project', name=op.f('pk_ec_project'))
    )


def downgrade():
    op.drop_table('ec_project')
