# flake8: noqa
"""Service Matrix merge software licenses and procurement

Revision ID: cb8aea87cab5
Revises: 98aaceaa1a79
Create Date: 2024-12-17 16:44:51.834601

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'cb8aea87cab5'
down_revision = '98aaceaa1a79'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()

    conn.execute(
        sa.text("""UPDATE service
                SET name = 'Procurement Brokerage',
                    description = 'Procurement support for users to purchase services (e.g. cloud services), software/software licenses (e.g. VLE or office software) or hardware either directly or via procurement frameworks.'
                WHERE name_key = 'procurement';""")
    )

    # responses are basically the same, so no need to merge. Just delete the software-licenses entry
    conn.execute(
        sa.text("DELETE FROM nren_service WHERE service_key IN ('software-licenses');")
    )


def downgrade():
    # downgrade not supported, as this is a destructive migration
    pass
