"""add status to survey and responses

Revision ID: e40b450835b1
Revises: 030134b436a9
Create Date: 2023-07-14 16:07:27.688251

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'e40b450835b1'
down_revision = '030134b436a9'
branch_labels = None
depends_on = None


def upgrade():

    op.execute("DELETE FROM survey_response")
    op.execute("DELETE FROM survey")

    op.execute("CREATE TYPE surveystatus AS ENUM ('closed', 'open', 'published')")
    op.execute("CREATE TYPE responsestatus AS ENUM ('started', 'completed', 'checked')")

    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('survey', schema=None) as batch_op:
        batch_op.add_column(
            sa.Column('status', sa.Enum('closed', 'open', 'published', name='surveystatus'), nullable=False)
        )

    with op.batch_alter_table('survey_response', schema=None) as batch_op:
        batch_op.add_column(
            sa.Column('status', sa.Enum('started', 'completed', 'checked', name='responsestatus'), nullable=False)
        )

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('survey_response', schema=None) as batch_op:
        batch_op.drop_column('status')

    with op.batch_alter_table('survey', schema=None) as batch_op:
        batch_op.drop_column('status')

    # ### end Alembic commands ###

    if op.get_context().dialect.name == 'postgresql':
        op.execute("DROP TYPE surveystatus")
        op.execute("DROP TYPE responsestatus")
